Bug 56649 - useless xsltproc return code
Summary: useless xsltproc return code
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: libxslt (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-23 11:12 UTC by Tim Waugh
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-27 19:02:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-11-23 11:12:38 UTC
Description of Problem:
The return code of xsltproc is often zero even when there is an error.

Version-Release number of selected component (if applicable):
libxml2-2.4.10-2
libxslt-1.0.7-4

How Reproducible:
100%

For example:
1. xsltproc no-file no-file; echo $?
2. xsltproc \
http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl \
no-file; echo $?

There are many other cases too.

This makes it hard to use xsltproc from a script.

Comment 1 Daniel Veillard 2001-11-26 20:49:12 UTC
Okay I commited a fix to this. The list of xsltproc return
codes are now the following:
0: normal
1: no argument
2: too many parameters
3: unknown option
4: failed to parse the stylesheet
5: error in the stylesheet
6: error in one of the documents
7: unsuppoted xsl:output method

http://cvs.gnome.org/bonsai/cvsquery.cgi?module=libxslt&branch=HEAD&branchtype=match&dir=libxslt&file=&filetype=match&who=veillard&whotype=match&sortby=Date&hours=&date=explicit&mindate=11%2F26%2F01+15%3A45&maxdate=11%2F26%2F01+15%3A47&cvsroot=%2Fcvs%2Fgnome

I will push a package with this update soon,

Daniel

Comment 2 Tim Waugh 2001-11-27 18:38:42 UTC
Great, work fine.  Thanks.


Comment 3 Daniel Veillard 2001-11-27 19:01:57 UTC
Okay, will close when John Fleck will have updated the man page
(expected today),

Daniel

Comment 4 Daniel Veillard 2001-11-29 09:10:58 UTC
Okay next version will have complete fix and docs for this
The current rawhide has the fix

  thanks !

Daniel


Note You need to log in before you can comment on or make changes to this bug.